- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_group – Add and remove local groups

- Synopsis

- Parameters

- See Also

- Examples

- Status

## Synopsis

- Add and remove local groups.

- For non-Windows targets, please use the group module instead.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description string |  | Description of the group.
name string / required |  | Name of the group.
state string | Choices: absent present ← | Create or remove the group.

## See Also

See also

group – Add or remove groups

  The official documentation on the group module.

win_domain_group – Creates, modifies or removes domain groups

  The official documentation on the win_domain_group module.

win_group_membership – Manage Windows local group membership

  The official documentation on the win_group_membership module.

## Examples

    - name: Create a new group
      win_group:
        name: deploy
        description: Deploy Group
        state: present

    - name: Remove a group
      win_group:
        name: deploy
        state: absent

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by the Ansible Core Team. [core]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Chris Hoffman (@chrishoffman)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.